//+------------------------------------------------------------------+
//|                                                     VCS.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

#property indicator_buffers 4
#property indicator_color1 Green
#property indicator_color2 Red
#property indicator_color3 Green
#property indicator_color4 Red

extern int TotalBars=700;
extern int Displacement1=76;
extern int Displacement2=57;
 int DisplacementUp1,DisplacementDown1;
 int DisplacementUp2,DisplacementDown2;

double Line1[],Line2[];
double Line3[],Line4[];
double Hg1,Lw1,Hg2,Lw2;
int i,a,j;
int Limit;

int init()
  {
//---- indicators
SetIndexBuffer(0,Line1);
SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,2);

SetIndexBuffer(1,Line2);
SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,2);

SetIndexBuffer(2,Line3);
SetIndexStyle(2,DRAW_LINE,STYLE_DOT,1);

SetIndexBuffer(3,Line4);
SetIndexStyle(3,DRAW_LINE,STYLE_DOT,1);



//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   DisplacementUp1=Displacement1; DisplacementDown1=Displacement1;
   DisplacementUp2=Displacement2; DisplacementDown2=Displacement2;
   
   int    counted_bars=IndicatorCounted();
  
  
 // ------------------------------------------------------------------------ //
 
          for (j=TotalBars;j>0;j--)
   {  
      if(a==0) {Hg2=Open[j];a=1;} 
      
      if(Open[j]>Hg2) {Hg2=Open[j];} 
      if(Close[j]>Hg2) {Hg2=Close[j];}
     
      
     Lw2=Hg2-(DisplacementDown2*Point);
    
     
     if(Open[j]<Lw2)// Open
     { Lw2=Open[j]; Hg2=Lw2+(DisplacementUp2*Point);} 
     if(Close[j]<Lw2)
     { Lw2=Close[j];Hg2=Lw2+(DisplacementUp2*Point);}
     
     Line3[j]=Hg2;
     Line4[j]=Lw2;
   }
 // ------------------------------------------------------------------------ //
    
           for(i=TotalBars; i>0; i--)
   {  
      if(a==0) {Hg1=Open[i];a=1;}
          
      if(Open[i]>Hg1) {Hg1=Open[i];} 
      if(Close[i]>Hg1) {Hg1=Close[i];}
    
     Lw1=Hg1-(DisplacementDown1*Point);
    
     
     if(Open[i]<Lw1) // Low
     { Lw1=Open[i]; Hg1=Lw1+(DisplacementUp1*Point);}
     if(Close[i]<Lw1)
     { Lw1=Close[i];Hg1=Lw1+(DisplacementUp1*Point);}
     
     Line1[i]=Hg1;
     Line2[i]=Lw1; 
  }  
    
     
  // ------------------------------------------------------ //
  
  
     
  
  
  
  
  
   
   
    
     
   
   
   

   
//----
   return(0);
  }
//+------------------------------------------------------------------+